Package org.jbpm.kie.services.impl.model

## Class SignalDescImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.model.SignalDescImpl

- All Implemented Interfaces:
    `Serializable`, `SignalDesc`, `SignalDescBase`

      public class SignalDescImpl
      extends Object
      implements SignalDesc

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static SignalDescImpl` | `from​(Signal signal)` |
    `String` | `getId()` |
    `Collection<org.kie.api.definition.process.Node>` | `getIncomingNodes()` |
    `String` | `getName()` |
    `Collection<org.kie.api.definition.process.Node>` | `getOutgoingNodes()` |
    `String` | `getStructureRef()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.SignalDescBase

      `getId, getIncomingNodes, getName, getOutgoingNodes, getStructureRef`

- - ### Method Detail

    - #### from

          public static SignalDescImpl from​(Signal signal)

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `SignalDescBase`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SignalDescBase`

    - #### getStructureRef

          public String getStructureRef()

      Specified by:
        `getStructureRef` in interface `SignalDescBase`

    - #### getIncomingNodes

          public Collection<org.kie.api.definition.process.Node> getIncomingNodes()

      Specified by:
        `getIncomingNodes` in interface `SignalDescBase`

    - #### getOutgoingNodes

          public Collection<org.kie.api.definition.process.Node> getOutgoingNodes()

      Specified by:
        `getOutgoingNodes` in interface `SignalDescBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`